diff --git a/web/pgadmin/tools/datagrid/templates/datagrid/index.html b/web/pgadmin/tools/datagrid/templates/datagrid/index.html
index 8e77c1e..c07ca9e 100644
--- a/web/pgadmin/tools/datagrid/templates/datagrid/index.html
+++ b/web/pgadmin/tools/datagrid/templates/datagrid/index.html
@@ -70,6 +70,7 @@
                 </button>
                 <ul class="dropdown-menu dropdown-menu-right">
                     <li>
+                        <a id="btn-filter-menu" href="#">{{ _('Show Filter') }}</a>
                         <a id="btn-remove-filter" href="#">{{ _('Remove') }}</a>
                         <a id="btn-include-filter" href="#">{{ _('By selection') }}</a>
                         <a id="btn-exclude-filter" href="#">{{ _('Exclude selection') }}</a>
@@ -95,6 +96,11 @@
                 </button>
                 <ul class="dropdown-menu dropdown-menu">
                     <li>
+                        <a id="btn-flash-menu" href="#">
+                            <span>{{ _('Execute/Refresh (F5)') }}</span>
+                        </a>
+                    </li>
+                    <li>
                         <a id="btn-explain" href="#">
                             <span>{{ _('Explain (F7)') }}</span>
                         </a>
diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
index 41d8661..65647c1 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
@@ -161,6 +161,7 @@ define(
         "click #btn-file-menu-save-as": "on_save_as",
         "click #btn-add-row": "on_add",
         "click #btn-filter": "on_show_filter",
+        "click #btn-filter-menu": "on_show_filter",
         "click #btn-include-filter": "on_include_filter",
         "click #btn-exclude-filter": "on_exclude_filter",
         "click #btn-remove-filter": "on_remove_filter",
@@ -169,8 +170,10 @@ define(
         "click #btn-copy-row": "on_copy_row",
         "click #btn-paste-row": "on_paste_row",
         "click #btn-flash": "on_flash",
+        "click #btn-flash-menu": "on_flash",
         "click #btn-cancel-query": "on_cancel_query",
         "click #btn-download": "on_download",
+        "click #btn-edit": "on_clear",
         "click #btn-clear": "on_clear",
         "click #btn-auto-commit": "on_auto_commit",
         "click #btn-auto-rollback": "on_auto_rollback",
